View Issue Details

IDProjectCategoryView StatusLast Update
0001049SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Toabrougher 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.1 
Target Version3.3.2Fixed in Version3.3.2 
Summary0001049: DbExport allows --sql option without a table name argument.
DescriptionWhen specifying sql for a user to filter what rows are exported, the user should also provide a table name. When a table name is not provided, all the database tables are exported.

We should verify that 1 table name is provided before performing an export with the --sql option.
TagsNo tags attached.

Activities

abrougher

2013-02-16 11:40

developer   ~0000215

Added additional check to make sure 1 table name is provided.

Related Changesets

SymmetricDS: master 7242e750

2013-02-16 11:39:52

abrougher

Details Diff
0001049: DbExport allows --sql option without a table name argument.
0001049
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbExportCommand.java Diff File

Issue History

Date Modified Username Field Change
2013-02-16 11:39 abrougher New Issue
2013-02-16 11:39 abrougher Status new => assigned
2013-02-16 11:39 abrougher Assigned To => abrougher
2013-02-16 11:40 abrougher Note Added: 0000215
2013-02-16 11:40 abrougher Status assigned => resolved
2013-02-16 11:40 abrougher Resolution open => fixed
2013-02-16 11:40 abrougher Assigned To abrougher => elong
2013-02-23 14:19 chenson Project SymmetricDS Pro => SymmetricDS
2013-02-23 14:21 chenson Assigned To elong => abrougher
2013-02-23 14:21 chenson Fixed in Version => 3.3.2
2013-02-23 14:21 chenson Target Version 3.4.0 => 3.3.2
2013-02-26 07:56 chenson Status resolved => closed
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r6873
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 7242e750